import { OnInit } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { MatListOption, MatSelectionList } from '@angular/material/list';
import { MatTableDataSource } from '@angular/material/table';
import { ActiveDirectoryService, Group } from '@cleavelandprice/ngx-lib/active-directory';
import { SharePointService, PhotoItem } from '@cleavelandprice/ngx-lib/sharepoint';
import { SelectableUser } from '../../model/selectable-user';
import { UserChooserData } from '../../model/user-chooser-data';
import * as i0 from "@angular/core";
export declare class UserChooserComponent implements OnInit {
    data: UserChooserData;
    private dialogRef;
    private activeDirectoryService;
    private sharePointService;
    selectionList: MatSelectionList | null;
    filterForm: FormGroup<{
        filter: FormControl<any>;
    }>;
    dataSource: MatTableDataSource<SelectableUser> | null;
    photos: PhotoItem[] | null;
    groups: Group[] | null;
    get isMultiMode(): boolean;
    get selectedOptions(): MatListOption[];
    get filterValue(): string;
    get adGroupsNeeded(): boolean;
    constructor(data: UserChooserData, dialogRef: MatDialogRef<UserChooserComponent>, activeDirectoryService: ActiveDirectoryService, sharePointService: SharePointService);
    ngOnInit(): void;
    listSelectionChanged(options: MatListOption[]): void;
    optionSelectionChanged(option: MatListOption): void;
    hideUnselectedChanged(selected: boolean): void;
    selectAll(): void;
    deselectAll(): void;
    private getData;
    close(): void;
    getPhoto(user: SelectableUser): string | undefined;
    private excludeUsersByAccountName;
    private excludeUsersByGroupName;
    private excludeUsersByDepartment;
    private excludeUsersByTitle;
    private includeUsersByAccountName;
    private includeUsersByDepartment;
    private includeUsersByTitle;
    private includeUsersByGroupName;
    private preSelectUsersByAccountName;
    private preSelectUsersByDepartment;
    private preSelectUsersByTitle;
    private preSelectUsersByGroupName;
    private setFilterPredicate;
    private listenForFilterChanges;
    tooltip(user: SelectableUser): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserChooserComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserChooserComponent, "user-chooser", never, {}, {}, never, never, false>;
}
