import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { ADObject } from '../model/ad-object';
import { ADObjectWithChildren } from '../model/ad-object-with-children';
import { Group } from '../model/group';
import { ServiceConfig } from '../model/service-config';
import { User } from '../model/user';
import * as i0 from "@angular/core";
export declare class ActiveDirectoryService {
    private config;
    private http;
    private cache;
    private defaultCacheLifeMinutes;
    private get cacheExpired();
    constructor(config: ServiceConfig, http: HttpClient);
    getUsers(includePhoto?: boolean, includeDisabled?: boolean, parentOU?: string): Observable<User[]>;
    getUser(accountName: string, includePhoto?: boolean): Observable<User>;
    clearCache(): void;
    getDomains(): Observable<ADObject[]>;
    getOUs(parentOU?: string): Observable<ADObjectWithChildren[]>;
    getContainers(parentOU?: string): Observable<ADObjectWithChildren[]>;
    getGroups(parentOU?: string): Observable<Group[]>;
    getDistinctUserAttributeValues(attributeName: string): Observable<any[]>;
    getDepartments(): Observable<string[]>;
    getTitles(): Observable<string[]>;
    getComputers(includeDisabled?: boolean, parentOU?: string): Observable<User[]>;
    getServers(includeDisabled?: boolean, parentOU?: string): Observable<User[]>;
    getWorkstations(includeDisabled?: boolean, parentOU?: string): Observable<User[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ActiveDirectoryService, [{ optional: true; }, null]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ActiveDirectoryService>;
}
