import { EventEmitter } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { User } from '@cleavelandprice/ngx-lib/active-directory';
import { AbstractAuthenticationService, AuthenticatedUser } from '@cleavelandprice/ngx-lib/authentication';
import { ServiceConfig } from '../model/service-config';
import * as i0 from "@angular/core";
export declare class AuthenticationService implements AbstractAuthenticationService {
    private config;
    private http;
    authenticatedChanged: EventEmitter<boolean>;
    authenticatingChanged: EventEmitter<boolean>;
    authenticationError: EventEmitter<any>;
    authenticating: boolean;
    authenticated: boolean;
    authenticatedUser: AuthenticatedUser | null;
    constructor(config: ServiceConfig, http: HttpClient);
    login(username: string, password: string, adminGroup?: string): void;
    logout(): void;
    validateUser(token: User): void;
    checkForExistingToken(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthenticationService, [{ optional: true; }, null]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthenticationService>;
}
